Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Class Xplat

    java.lang.Object
      |
      +--com.novell.service.session.xplat.Xplat

public class Xplat
extends java.lang.Object

Provides static attribute values and environment keys for Xplat-based providers.

All the attribute ID variables (with _ATTR_ID suffix) that have a CONN_ or DCK_ prefix are operational and will not usually be returned by the Session.getAttributes() method. Operational attributes are those attributes that are normally only returned when explicitly requested in the attrIds[] parameter of the Session.getAttributes(java.lang.String) method. Alternatively, all attributes (including operational attributes) are always returned from the getAttributes() method that takes no parameters if the FORCE_OPERATIONAL_ATTRIBUTES variable (environment key) value is set to TRUE.

See Also:
  `FORCE_OPERATIONAL_ATTRIBUTES`, `Session.getAttributes(java.lang.String[] attrIds)`

Field Summary
`static java.lang.String` | `CONN_AUTHENTICATION_STATE_ATTR_ID` Attribute ID describing the raw authentication state of a session's connection.
`static java.lang.String` | `CONN_BROADCAST_STATE_ATTR_ID` Attribute ID describing the raw broadcast state of a Session's connection.
`static java.lang.String` | `CONN_CONNECTION_NUMBER_ATTR_ID` Attribute ID describing the raw connection number of a Session's connection.
`static java.lang.String` | `CONN_CONNECTION_REFERENCE_ATTR_ID` Attribute ID describing the raw connection reference of a Session's connection.
`static java.lang.String` | `CONN_DISTANCE_ATTR_ID` Attribute ID describing the raw round trip time of a Session's connection.
`static java.lang.String` | `CONN_LICENSE_STATE_ATTR_ID` Attribute ID describing the raw license state of a Session's connection.
`static java.lang.String` | `CONN_MAX_PACKET_SIZE_ATTR_ID` Attribute ID describing the raw maximum packet size of a Session's connection.
`static java.lang.String` | `CONN_NDS_STATE_ATTR_ID` Attribute ID describing the raw NDS state of a Session's connection.
`static java.lang.String` | `CONN_SERVER_ADDRESS_ATTR_ID` Attribute ID describing the raw server address of a Session's connection.
`static java.lang.String` | `CONN_SERVER_NAME_ATTR_ID` Attribute ID describing the raw server name of a Session's connection.
`static java.lang.String` | `CONN_SERVER_VERSION_ATTR_ID` Attribute ID describing the raw server version of a Session's connection.
`static java.lang.String` | `CONN_TREE_NAME_ATTR_ID` Attribute ID describing the raw tree name of a Session's connection.
`static java.lang.String` | `CONN_USER_ID_ATTR_ID` Attribute ID describing the raw user ID of a Session's connection.
`static java.lang.String` | `DCK_CONFIDENCE_ATTR_ID` Attribute ID describing the raw confidence of a Session's context.
`static java.lang.String` | `DCK_FLAGS_ATTR_ID` Attribute ID describing the raw flags of a Session's context.
`static java.lang.String` | `DCK_LAST_CONNECTION_ATTR_ID` Attribute ID describing the raw last connection of a Session's context.
`static java.lang.String` | `DCK_NAME_CONTEXT_ATTR_ID` Attribute ID describing the raw name of a Session's context.
`static java.lang.String` | `DCK_REFERRAL_SCOPE_ATTR_ID` Attribute ID describing the raw referral scope of a Session's context.
`static java.lang.String` | `DCK_TRANSPORT_TYPE_ATTR_ID` Attribute ID describing the raw transport type of a Session's context.
`static java.lang.String` | `DCK_TREE_NAME_ATTR_ID` Attribute ID describing the raw tree name of a Session's context.
`static java.lang.String` | `DOMAIN_ADDRESS` Environment key used for changing the behavior of XplatUtil Sessions during Session.getSession()operations by passing an existing domain address.
`static java.lang.String` | `FORCE_OPERATIONAL_ATTRIBUTES` Environment key used for changing the behavior of XplatUtil sessions during Session.getAttributes() operations by forcing operational attributes to be returned when all attributes are requested.
`static java.lang.String` | `LOOKUP_DOMAIN` Environment key used for changing the behavior of XplatUtil sessions during Session.getSession()operations by passing an existing domain name.
`static java.lang.String` | `PREFERRED_SERVER_NAME_ATTR_ID` Attribute ID describing the preferred server name stored by the underlying requester.
`static java.lang.String` | `PREFERRED_TREE_NAME_ATTR_ID` Attribute ID describing the preferred tree name stored by the underlying requester.
`static java.lang.String` | `SERVER_SESSION_TYPE` Attribute value returned for SESSION_TYPE_ATTR_ID for server Session types.
`static java.lang.String` | `TREE_SESSION_TYPE` Attribute value returned for SESSION_TYPE_ATTR_ID for tree session types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOOKUP_DOMAIN

    public static final java.lang.String LOOKUP_DOMAIN

  Environment key used for changing the behavior of XplatUtil sessions during Session.getSession()operations by passing an existing domain name.

  Certain sessions need to lookup a new domain name on an existing session. This operation is normally handled automatically, but can be forced if needed. A case where this needs to be forced is when routing on a network keeps certain file servers from seeing other file servers.

  (LOOKUP_DOMAIN = "com.novell.service.session.xplat.LookupDomain")

  Example: LOOKUP_DOMAIN, "MY_SERVER"

  See Also:
    `SessionEnv`

### DOMAIN_ADDRESS

    public static final java.lang.String DOMAIN_ADDRESS

  Environment key used for changing the behavior of XplatUtil Sessions during Session.getSession()operations by passing an existing domain address.

  As an alternative to LOOKUP_DOMAIN, DOMAIN_ADDRESS allows Sessions to be opened by directly accessing their address.

  NOTE: In the case of NDSServerSessionState, the DOMAIN_ADDRESS is not inherited from the parent environment because in Xplat Sessions each Session must have it's own unique address.

  (DOMAIN_ADDRESS = "com.novell.service.session.xplat.DomainAddress")

  Example: DOMAIN_ADDRESS, new Address(Address.TYPE_IPX, new byte[] ({01, 01, 01, 01, 00, 00, 00, 00, 00, 01, 05, 51}));

  See Also:
    `SessionEnv`

### FORCE_OPERATIONAL_ATTRIBUTES

    public static final java.lang.String FORCE_OPERATIONAL_ATTRIBUTES

  Environment key used for changing the behavior of XplatUtil sessions during Session.getAttributes() operations by forcing operational attributes to be returned when all attributes are requested.

  Operational attributes are those attributes that are normally only returned when explicitly requested. By setting this environment key's value to TRUE, these attributes are always returned from the Session.getAttributes() method that takes no parameters.

  (FORCE_OPERATIONAL_ATTRIBUTES = "com.novell.service.session.xplat.OperationalAttributes")

  Example: FORCE_OPERATIONAL_ATTRIBUTES, "TRUE"

  See Also:
    `SessionEnv`

### PREFERRED_TREE_NAME_ATTR_ID

    public static final java.lang.String PREFERRED_TREE_NAME_ATTR_ID

  Attribute ID describing the preferred tree name stored by the underlying requester. The associated value is a String.

  (PREFERRED_TREE_NAME_ATTR_ID = "PREFERRED_TREE_NAME")

  See Also:
    `SessionAttr`, `Session.getAttributes()`

### PREFERRED_SERVER_NAME_ATTR_ID

    public static final java.lang.String PREFERRED_SERVER_NAME_ATTR_ID

  Attribute ID describing the preferred server name stored by the underlying requester. The associated value is a String.

  (PREFERRED_SERVER_NAME_ATTR_ID = "PREFERRED_SERVER_NAME")

  See Also:
    `SessionAttr`, `Session.getAttributes()`

### CONN_AUTHENTICATION_STATE_ATTR_ID

    public static final java.lang.String CONN_AUTHENTICATION_STATE_ATTR_ID

  Attribute ID describing the raw authentication state of a session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_AUTHENTICATION_STATE_ATTR_ID = "CONN_AUTHENT_STATE")

  See Also:
    `SessionAttr`

### CONN_BROADCAST_STATE_ATTR_ID

    public static final java.lang.String CONN_BROADCAST_STATE_ATTR_ID

  Attribute ID describing the raw broadcast state of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_BROADCAST_STATE_ATTR_ID = "CONN_BROADCAST_STATE")

  See Also:
    `SessionAttr`

### CONN_CONNECTION_REFERENCE_ATTR_ID

    public static final java.lang.String CONN_CONNECTION_REFERENCE_ATTR_ID

  Attribute ID describing the raw connection reference of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_CONNECTION_REFERENCE_ATTR_ID = "CONN_REFERENCE")

  See Also:
    `SessionAttr`

### CONN_TREE_NAME_ATTR_ID

    public static final java.lang.String CONN_TREE_NAME_ATTR_ID

  Attribute ID describing the raw tree name of a Session's connection. This is an operational attribute ID. The associated value is a String.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_TREE_NAME_ATTR_ID = "CONN_TREE_NAME")

  See Also:
    `SessionAttr`

### CONN_CONNECTION_NUMBER_ATTR_ID

    public static final java.lang.String CONN_CONNECTION_NUMBER_ATTR_ID

  Attribute ID describing the raw connection number of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_CONNECTION_NUMBER_ATTR_ID = "CONN_NUMBER")

  See Also:
    `SessionAttr`

### CONN_USER_ID_ATTR_ID

    public static final java.lang.String CONN_USER_ID_ATTR_ID

  Attribute ID describing the raw user ID of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_USER_ID_ATTR_ID = "CONN_USER_ID")

  See Also:
    `SessionAttr`

### CONN_SERVER_NAME_ATTR_ID

    public static final java.lang.String CONN_SERVER_NAME_ATTR_ID

  Attribute ID describing the raw server name of a Session's connection. This is an operational attribute ID. The associated value is a String.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_SERVER_NAME_ATTR_ID = "CONN_SERVER_NAME")

  See Also:
    `SessionAttr`

### CONN_NDS_STATE_ATTR_ID

    public static final java.lang.String CONN_NDS_STATE_ATTR_ID

  Attribute ID describing the raw NDS state of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_NDS_STATE_ATTR_ID = "CONN_NDS_STATE")

  See Also:
    `SessionAttr`

### CONN_MAX_PACKET_SIZE_ATTR_ID

    public static final java.lang.String CONN_MAX_PACKET_SIZE_ATTR_ID

  Attribute ID describing the raw maximum packet size of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_MAX_PACKET_SIZE_ATTR_ID = "CONN_MAX_PACKET_SIZE")

  See Also:
    `SessionAttr`

### CONN_LICENSE_STATE_ATTR_ID

    public static final java.lang.String CONN_LICENSE_STATE_ATTR_ID

  Attribute ID describing the raw license state of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_LICENSE_STATE_ATTR_ID = "CONN_LICENSE_STATE")

  See Also:
    `SessionAttr`

### CONN_DISTANCE_ATTR_ID

    public static final java.lang.String CONN_DISTANCE_ATTR_ID

  Attribute ID describing the raw round trip time of a Session's connection. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_DISTANCE_ATTR_ID = "CONN_DISTANCE")

  See Also:
    `SessionAttr`

### CONN_SERVER_VERSION_ATTR_ID

    public static final java.lang.String CONN_SERVER_VERSION_ATTR_ID

  Attribute ID describing the raw server version of a Session's connection. This is an operational attribute ID. The associated value is a Version.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_SERVER_VERSION_ATTR_ID = "CONN_SERVER_VERSION")

  See Also:
    `SessionAttr`

### CONN_SERVER_ADDRESS_ATTR_ID

    public static final java.lang.String CONN_SERVER_ADDRESS_ATTR_ID

  Attribute ID describing the raw server address of a Session's connection. This is an operational attribute ID. The associated value is an Address.

  This attribute is provided to aid in transition to the cross-platform C library connection services.

  (CONN_SERVER_ADDRESS_ATTR_ID = "CONN_SERVER_ADDRESS")

  See Also:
    `SessionAttr`

### DCK_FLAGS_ATTR_ID

    public static final java.lang.String DCK_FLAGS_ATTR_ID

  Attribute ID describing the raw flags of a Session's context. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_FLAGS_ATTR_ID = "DCK_FLAGS")

  See Also:
    `SessionAttr`

### DCK_CONFIDENCE_ATTR_ID

    public static final java.lang.String DCK_CONFIDENCE_ATTR_ID

  Attribute ID describing the raw confidence of a Session's context. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_CONFIDENCE_ATTR_ID = "DCK_CONFIDENCE")

  See Also:
    `SessionAttr`

### DCK_NAME_CONTEXT_ATTR_ID

    public static final java.lang.String DCK_NAME_CONTEXT_ATTR_ID

  Attribute ID describing the raw name of a Session's context. This is an operational attribute ID. The associated value is a String.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_NAME_CONTEXT_ATTR_ID = "DCK_NAME_CONTEXT")

  See Also:
    `SessionAttr`

### DCK_TRANSPORT_TYPE_ATTR_ID

    public static final java.lang.String DCK_TRANSPORT_TYPE_ATTR_ID

  Attribute ID describing the raw transport type of a Session's context. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_TRANSPORT_TYPE_ATTR_ID = "DCK_TRANSPORT_TYPE")

  See Also:
    `SessionAttr`

### DCK_REFERRAL_SCOPE_ATTR_ID

    public static final java.lang.String DCK_REFERRAL_SCOPE_ATTR_ID

  Attribute ID describing the raw referral scope of a Session's context. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_REFERRAL_SCOPE_ATTR_ID = "DCK_REFERRAL_SCOPE")

  See Also:
    `SessionAttr`

### DCK_LAST_CONNECTION_ATTR_ID

    public static final java.lang.String DCK_LAST_CONNECTION_ATTR_ID

  Attribute ID describing the raw last connection of a Session's context. This is an operational attribute ID. The associated value is an Integer.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_LAST_CONNECTION_ATTR_ID = "DCK_LAST_CONNECTION")

  See Also:
    `SessionAttr`

### DCK_TREE_NAME_ATTR_ID

    public static final java.lang.String DCK_TREE_NAME_ATTR_ID

  Attribute ID describing the raw tree name of a Session's context. This is an operational attribute ID. The associated value is a String.

  This attribute is provided to aid in transition to the cross-platform C library nds context services.

  (DCK_TREE_NAME_ATTR_ID = "DCK_TREE_NAME")

  See Also:
    `SessionAttr`

### TREE_SESSION_TYPE

    public static final java.lang.String TREE_SESSION_TYPE

  Attribute value returned for SESSION_TYPE_ATTR_ID for tree session types.

  (TREE_SESSION_TYPE = "TREE")

  See Also:
    `SessionAttr`, com.novell.service.session

### SERVER_SESSION_TYPE

    public static final java.lang.String SERVER_SESSION_TYPE

  Attribute value returned for SESSION_TYPE_ATTR_ID for server Session types.

  (SERVER_SESSION_TYPE = "SERVER")

  See Also:
    `SessionAttr`, com.novell.service.session

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD